@mixin height100{
  height: 100%;
  overflow-y: hidden;
  overflow-x: hidden;
}
@mixin scroller($hidden: false){
  @if $hidden == false{
    //custom scrollbar for firefox
    scrollbar-width:thin;
    scrollbar-color:map.get($default-theme, background-alt) transparent;
    scrollbar-color:var(--background-alt) transparent;
    //custom scrollbar for chrome based browsers
    &::-webkit-scrollbar{
       width:6px;
    }
    &::-webkit-scrollbar-track {
      background-color:transparent;
    }
    &::-webkit-scrollbar-thumb{
      background-color:map.get($default-theme, background-alt);
      background-color:var(--background-alt);
    }
  }
  @if $hidden == true{
    //custom scrollbar for firefox
    scrollbar-width:none;
    scrollbar-color:transparent transparent;
    //custom scrollbar for chrome based browsers
    &::-webkit-scrollbar{
       width:0px;
    }
    &::-webkit-scrollbar-track {
      background-color:transparent;
    }
    &::-webkit-scrollbar-thumb{
      background-color:transparent;
    }
  }
}
@mixin scrollx(){ @include scroller;overflow-x: scroll; }
@mixin scrolly(){ @include scroller;overflow-y: scroll; }

